=== debian/changelog ===
bitsnpicas (2.0+ds-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sat, 27 Jul 2024 20:01:48 +0000

bitsnpicas (2.0+ds-2) unstable; urgency=medium

  * Apply patch to fix usability. (Closes: #1041435)
    Thank you Nilesh Patra.

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Jul 2023 14:52:50 +0200

bitsnpicas (2.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1036951)

 -- Gürkan Myczko <tar@debian.org>  Tue, 30 May 2023 19:12:16 +0200
