=== debian/control ===
Source: bitsnpicas
Section: fonts
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
Standards-Version: 4.7.0
Homepage: https://github.com/kreativekorp/bitsnpicas
Vcs-Browser: https://salsa.debian.org/java-team/bitsnpicas
Vcs-Git: https://salsa.debian.org/java-team/bitsnpicas.git

Package: bitsnpicas
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xdg-utils,
Description: Bitmap & Emoji font creation & conversion tools
 This is a set of tools for creating and converting bitmap and emoji fonts.
 Bitmap font functions can be accessed both with a GUI and from a command
 line. Emoji font functions can only be accessed from a command line.
