## bitsnpicas 2.1.1+ds

=== main/java/BitsNPicas/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 SRCFILES := $(shell find src -name \*.java)
 RESFILES := $(shell find src -type f \! -name .\* \! -name \*.java | sed s/^src\\///)
-PACKAGES := $(shell find src -name \*.java | sed -E s/^src\\/\|\\/[^\\/]+$$//g | sort | uniq | tr / .)
-
-all: clean bin doc BitsNPicas.jar BitsNPicas.app BitsNPicas-src.tgz MapEdit.jar MapEdit.app MapEdit-src.tgz KeyEdit.jar KeyEdit.app KeyEdit-src.tgz
-
-eclipseall: eclipseclean BitsNPicas.jar BitsNPicas.app BitsNPicas-src.tgz MapEdit.jar MapEdit.app MapEdit-src.tgz KeyEdit.jar KeyEdit.app KeyEdit-src.tgz
+PACKAGES := $(shell find src -name \*.java | sed -E s/^src\\/\|\\/[^\\/]+$$//g | grep -v \\.java$$ | sort | uniq | tr / .)
+
+all: clean bin doc BitsNPicas.jar BitsNPicas.app BitsNPicas.app.zip BitsNPicas-src.tgz MapEdit.jar MapEdit.app MapEdit.app.zip MapEdit-src.tgz KeyEdit.jar KeyEdit.app KeyEdit.app.zip KeyEdit-src.tgz
+
+eclipseall: eclipseclean BitsNPicas.jar BitsNPicas.app BitsNPicas.app.zip BitsNPicas-src.tgz MapEdit.jar MapEdit.app MapEdit.app.zip MapEdit-src.tgz KeyEdit.jar KeyEdit.app KeyEdit.app.zip KeyEdit-src.tgz
 
 clean:
 	rm -rf bin
@@ -12,35 +12,41 @@
 	rm -rf BitsNPicas*.jar
 	rm -rf BitsNPicas*.tgz
 	rm -rf BitsNPicas*.app
+	rm -rf BitsNPicas*.zip
 	rm -rf MapEdit*.jar
 	rm -rf MapEdit*.tgz
 	rm -rf MapEdit*.app
+	rm -rf MapEdit*.zip
 	rm -rf KeyEdit*.jar
 	rm -rf KeyEdit*.tgz
 	rm -rf KeyEdit*.app
+	rm -rf KeyEdit*.zip
 
 eclipseclean:
 	rm -rf BitsNPicas*.jar
 	rm -rf BitsNPicas*.tgz
 	rm -rf BitsNPicas*.app
+	rm -rf BitsNPicas*.zip
 	rm -rf MapEdit*.jar
 	rm -rf MapEdit*.tgz
 	rm -rf MapEdit*.app
+	rm -rf MapEdit*.zip
 	rm -rf KeyEdit*.jar
 	rm -rf KeyEdit*.tgz
 	rm -rf KeyEdit*.app
+	rm -rf KeyEdit*.zip
 
 bin: src
 	mkdir -p bin
 ifeq ($(origin JAVACFLAGS), undefined)
 	$(eval JAVACFLAGS = $(shell dep/minJavaVerOpts))
 endif
-	javac $(JAVACFLAGS) -classpath dep/KSFL.jar:dep/ual.jar -sourcepath src $(SRCFILES) -d bin
+	javac $(JAVACFLAGS) -classpath dep/ual.jar -sourcepath src $(SRCFILES) -d bin
 	$(foreach res,$(RESFILES),cp src/$(res) bin/$(res);)
 
 doc: src
 	mkdir -p doc
-	javadoc $(JAVADOCFLAGS) -classpath dep/KSFL.jar:dep/ual.jar -sourcepath src $(PACKAGES) -d doc
+	javadoc $(JAVADOCFLAGS) -classpath dep/ual.jar -sourcepath src $(PACKAGES) -d doc
 
 BitsNPicas.jar: bin
 	export COPYFILE_DISABLE=true
@@ -80,6 +86,9 @@
 	cp -f dep/*.jar BitsNPicas-MacOS11.0.app/Contents/Resources/Java
 	cp -f BitsNPicas.jar BitsNPicas-MacOS11.0.app/Contents/Resources/Java
 
+BitsNPicas.app.zip: BitsNPicas.app
+	zip -r BitsNPicas.app.zip BitsNPicas*.app
+
 BitsNPicas.dmg: BitsNPicas.app
 	mkdir -p dmgtmp
 	cp -R BitsNPicas-Pre10.15.app dmgtmp
@@ -132,6 +141,9 @@
 	cp -f dep/ual.jar MapEdit-MacOS11.0.app/Contents/Resources/Java
 	cp -f MapEdit.jar MapEdit-MacOS11.0.app/Contents/Resources/Java
 
+MapEdit.app.zip: MapEdit.app
+	zip -r MapEdit.app.zip MapEdit*.app
+
 MapEdit.dmg: MapEdit.app
 	mkdir -p dmgtmp
 	cp -R MapEdit-Pre10.15.app dmgtmp
@@ -184,6 +196,9 @@
 	cp -f dep/ual.jar KeyEdit-MacOS11.0.app/Contents/Resources/Java
 	cp -f KeyEdit.jar KeyEdit-MacOS11.0.app/Contents/Resources/Java
 
+KeyEdit.app.zip: KeyEdit.app
+	zip -r KeyEdit.app.zip KeyEdit*.app
+
 KeyEdit.dmg: KeyEdit.app
 	mkdir -p dmgtmp
 	cp -R KeyEdit-Pre10.15.app dmgtmp
@@ -198,14 +213,16 @@
 	find src -name .DS_Store -delete
 	tar -czf KeyEdit-src.tgz LICENSE src/com/kreative/unicode src/com/kreative/keyedit
 
-install: BitsNPicas.jar MapEdit.jar KeyEdit.jar
+install: dep BitsNPicas.jar MapEdit.jar KeyEdit.jar
 	sudo mkdir -p /usr/local/lib/
 	sudo cp -f BitsNPicas.jar /usr/local/lib/bitsnpicas.jar
 	sudo cp -f MapEdit.jar /usr/local/lib/mapedit.jar
 	sudo cp -f KeyEdit.jar /usr/local/lib/keyedit.jar
+	sudo cp -f dep/ual.jar /usr/local/lib/ual.jar
 	sudo chmod -f 644 /usr/local/lib/bitsnpicas.jar
 	sudo chmod -f 644 /usr/local/lib/mapedit.jar
 	sudo chmod -f 644 /usr/local/lib/keyedit.jar
+	sudo chmod -f 644 /usr/local/lib/ual.jar
 	sudo mkdir -p /usr/local/bin/
 	sudo cp -f dep/bitsnpicas /usr/local/bin/bitsnpicas
 	sudo cp -f dep/mapedit /usr/local/bin/mapedit
