=== debian/changelog ===
bitsnpicas (2.1.1+ds-2) unstable; urgency=medium

  * d/control: add zip to build-depends.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Sep 2025 21:06:49 +0200

bitsnpicas (2.1.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.7.2.
  * d/control: Depends on jarwrapper.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Sep 2025 12:46:18 +0200
