=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  default-jdk,
-Standards-Version: 4.7.0
+ zip,
+Standards-Version: 4.7.2
 Homepage: https://github.com/kreativekorp/bitsnpicas
 Vcs-Browser: https://salsa.debian.org/java-team/bitsnpicas
 Vcs-Git: https://salsa.debian.org/java-team/bitsnpicas.git
@@ -18,6 +19,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  xdg-utils,
+ jarwrapper,
 Description: Bitmap & Emoji font creation & conversion tools
  This is a set of tools for creating and converting bitmap and emoji fonts.
  Bitmap font functions can be accessed both with a GUI and from a command
