=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --sourcedirectory=main/java/BitsNPicas

override_dh_auto_install:
	@echo sudo? really?

override_dh_icons:
	dh_icons
	sed -i s,/usr/local/lib/bitsnpicas.jar,/usr/share/bitsnpicas/BitsNPicas.jar, debian/bitsnpicas/usr/bin/bitsnpicas
	sed -i s,/usr/share.*/,, debian/bitsnpicas/usr/share/applications/*.desktop
	sed -i s,/usr/local/lib/,/usr/share/bitsnpicas/, debian/bitsnpicas/usr/share/applications/*.desktop
